BizKitHub
DocsAPI ReferenceOrganisation Structure/bff/organisation-structure/department-update

/bff/organisation-structure/department-update

Update a department (cycle-safe re-parenting)

Organisation structurepostBffOrganisation-structureDepartment-update

Parameters

JSON body

Request body

application/json
idstringRequired
Length: 1–32
namestringRequired
Length: 1–128
descriptionstring | nullOptional
One of 2:
Variant 1
string
Length: 0–2000
Variant 2
null
parentIdstring | nullOptional
One of 2:
Variant 1
string
Length: 1–32
Variant 2
null
leadMemberIdstring | nullOptional
One of 2:
Variant 1
string
Length: 1–32
Variant 2
null
colorstring | nullOptional
One of 2:
Variant 1
string
Length: 0–16
Variant 2
null
positionstring | integerOptional
One of 2:
Variant 1
stringinteger
Default: 0
Variant 2
integer
Range: 0–10000
chatEnabledbooleanOptional

Department channel in team chat (managed membership).

Response schema

1 status code documented

200Success
success"true"Required

Response example

application/json
{
  "success": true
}

Request example

POST /bff/organisation-structure/department-update

post
curl -X POST "https://api.bizkithub.com/bff/organisation-structure/department-update" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "id": "example_id",
  "name": "example_name",
  "chatEnabled": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key